json = require( "json" )

  -- 254:     local a = mathlib.angleBetween( target, target.prevevent )
  -- 255:     local b = mathlib.angleBetween( target, event )
  -- 256:     local d = mathlib.smallestAngleDiff( a, b )

math.randomseed( os.time() )
class = require("misclua.30log-global")
require("classes.Civilization")
require("classes.Planet")
require("classes.Star")
require("classes.Species")
require("classes.Galaxy")

screenW = display.contentWidth
screenH = display.contentHeight
centerX  = display.contentWidth/2
centerY = display.contentHeight/2
RAND = math.random

local data= {
	-- The width and height of the 
	-- galaxy in units. Pixels, light years, 
	-- hey it's up to you,
	-- Number of civilizations
	-- minimum distance from another civilization
	width = screenW,
	height = screenH,
	civilizations = 4,
	min_dist_from_civilizations = 200,
	max_dist_from_civilizations = 400,
}

-- local galaxy = Galaxy:new()
local galaxy = Galaxy:new(data)

-- Run some tests on the galaxy object
local civ1stars = galaxy:GetAllStarsBelongingToACvilization(galaxy.civilizations[1])
-- Pick the colors outside the loop
-- so they'll be the same for the 
-- civilization
local r = RAND(1,10)/10
local g = RAND(1,10)/10
local b = RAND(1,10)/10

for i=1,#civ1stars do
	local tempCircle = display.newCircle( civ1stars[i].x,civ1stars[i].y,5 )
	tempCircle:setFillColor( r,g,b )
	print("Star "..civ1stars[i].name.." belongs to the "..galaxy.civilizations[1].name)
end
